package com.bonus.material.clz.mapper;
import com.bonus.material.clz.domain.BmTeam;

import java.util.List;

/**
 * @ClassName BmProDepartMapper
 * @Author ma_sh
 * @create 2025/5/12 10:14
 */
public interface BmTeamMapper {

    /**
     * 查询班组信息
     * @param tbTeam
     * @return
     */
    List<BmTeam> queryByPage(BmTeam tbTeam);

    /**
     * 根据名称查询班组信息
     * @param tbTeam
     * @return
     */
    BmTeam selectByName(BmTeam tbTeam);

    /**
     * 新增班组信息
     * @param tbTeam
     * @return
     */
    int insert(BmTeam tbTeam);

    /**
     * 修改班组信息
     * @param tbTeam
     * @return
     */
    int update(BmTeam tbTeam);

    /**
     * 删除班组数据
     * @param tbTeam
     * @return
     */
    int deleteById(BmTeam tbTeam);

    /**
     * 查询班组数据
     * @param tbTeam
     * @return
     */
    List<BmTeam> getTeamList(BmTeam tbTeam);
}
